%define upstream_name    Test-YAML-Valid
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Test for valid YAML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:  perl(YAML)
BuildRequires:  perl(YAML::Syck)
BuildRequires:	perl(YAML::XS)
Requires:       perl(YAML)
BuildArch:      noarch


%description
This module lets you easily test the validity of YAML.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%make

%{__make} test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{perl_vendorlib}/Test
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.40.0-9pclos2017
- rebuild against updates

